# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from setuptools import setup, find_packages  # noqa: H301

NAME = "swagger-client"
VERSION = "1.0.0"
# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["urllib3 >= 1.15", "six >= 1.10", "certifi", "python-dateutil"]

setup(
    name=NAME,
    version=VERSION,
    description="Faxsuite RESTful API",
    author_email="support@fax-api.de",
    url="",
    keywords=["Swagger", "Faxsuite RESTful API"],
    install_requires=REQUIRES,
    packages=find_packages(),
    include_package_data=True,
    long_description="""\
    &lt;p&gt;&lt;img src&#x3D;\&quot;https://service.fax-api.de/4.0/img/fax-api.png\&quot; height&#x3D;\&quot;100\&quot; title&#x3D;\&quot;title\&quot; /&gt;&lt;/p&gt;  # API Definition &lt;p&gt;&lt;img src&#x3D;\&quot;https://service.fax-api.de/4.0/img/open_api.png\&quot; height&#x3D;\&quot;50\&quot; title&#x3D;\&quot;title\&quot; /&gt;&lt;/p&gt;  Die &lt;b&gt;RESTful API&lt;/b&gt; basiert auf den &lt;b&gt;OpenAPI v3.0.3&lt;/b&gt; Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..&lt;br&gt;&lt;br&gt;Weitere Informationen zu OpenAPI finden sie hier: &lt;a href&#x3D;\&quot;https://www.openapis.org/\&quot;&gt;&lt;b&gt;https://www.openapis.org/&lt;/b&gt;&lt;/a&gt;   # Einleitung  &lt;p&gt;&lt;img src&#x3D;\&quot;https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\&quot; height&#x3D;\&quot;350\&quot; title&#x3D;\&quot;title\&quot; /&gt;  &lt;/p&gt;  Mit unserer &lt;b&gt;Faxsuite&lt;/b&gt; können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere &lt;b&gt;Faxsuite&lt;/b&gt; auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..&lt;br&gt;&lt;br&gt;Um den API Service nutzen zu können, müssen Sie sich für die &lt;a href&#x3D;\&quot;https://www.faxsuite.de/\&quot;&gt;&lt;b&gt;Faxsuite&lt;/b&gt;&lt;/a&gt; anmelden. Ein kostenloser Testzugang kann &lt;a href&#x3D;\&quot;https://www.faxverteiler.com/testzugang/\&quot;&gt;&lt;b&gt;hier&lt;/b&gt;&lt;/a&gt; beantragt werden. (&lt;i&gt;To use the API service you need to sign up for the &lt;a href&#x3D;\&quot;https://www.faxsuite.de/\&quot;&gt;&lt;b&gt;Faxsuite&lt;/b&gt;&lt;/a&gt;. A free trial access can be requested &lt;a href&#x3D;\&quot;https://www.faxverteiler.com/testzugang/\&quot;&gt;&lt;b&gt;here&lt;/b&gt;&lt;/a&gt;&lt;/i&gt;).&lt;br&gt;&lt;br&gt;Mit der &lt;b&gt;Faxsuite&lt;/b&gt; haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (&lt;i&gt;You can test the &lt;b&gt;Faxsuite&lt;/b&gt; modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access&lt;/i&gt;)&lt;br&gt;&lt;br&gt;Nachdem Sie den Zugang beantragt haben, können Sie sich &lt;a href&#x3D;\&quot;https://www.faxsuite.de/\&quot;&gt;&lt;b&gt;hier&lt;/b&gt;&lt;/a&gt; in die &lt;b&gt;Faxsuite&lt;/b&gt; einloggen. Unter dem Menüpunkt &#x27;FAX-API | Konto verwalten&#x27; können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (&lt;i&gt;After creating a login you can access the &lt;b&gt;Faxsuite&lt;/b&gt; &lt;a href&#x3D;\&quot;https://www.faxsuite.de/\&quot;&gt;&lt;b&gt;here&lt;/b&gt;&lt;/a&gt;. In the menu &#x27;FAX-API | Konto verwalten&#x27; you can create a new API-Account and receive the related token/key you need to gain access to our API service&lt;/i&gt;).&lt;br&gt;&lt;br&gt;Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht &lt;b&gt;interaktive&lt;/b&gt; und &lt;b&gt;interaktive&lt;/b&gt; Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | &lt;b&gt;Redoc&lt;/b&gt; | non interactive | &lt;b&gt;&lt;a href&#x3D;\&quot;https://service.fax-api.de/4.0/rest/index.html\&quot;&gt;click here for redoc&lt;/a&gt;&lt;/b&gt; | &lt;b&gt;Swagger UI&lt;/b&gt; | interactive (self hosted) | &lt;b&gt;&lt;a href&#x3D;\&quot;https://service.fax-api.de/4.0/rest/swagger-ui/index.html\&quot;&gt;click here for swagger&lt;/a&gt;&lt;/b&gt; |    # noqa: E501
    """
)
